package com.engine.organization.transmethod;

import com.engine.organization.enums.OperateTypeEnum;
import org.apache.commons.lang.StringUtils;

/**
 * @author:dxfeng
 * @createTime: 2022/07/05
 * @version: 1.0
 */
public class LogViewTransMethod {

    public String getOperateType(String operateType) {
        if (StringUtils.isNotBlank(operateType)) {
            switch (operateType) {
                case "1":
                    operateType = OperateTypeEnum.ADD.getLabel();
                    break;
                case "2":
                    operateType = OperateTypeEnum.UPDATE.getLabel();
                    break;
                case "4":
                    operateType = OperateTypeEnum.DELETE.getLabel();
                    break;
                case "5":
                    operateType = OperateTypeEnum.MOVE.getLabel();
                    break;
                case "6":
                    operateType = OperateTypeEnum.MERGE.getLabel();
                    break;
                case "7":
                    operateType = OperateTypeEnum.COPY.getLabel();
                    break;
                default:
                    break;
            }
            return operateType;
        }
        return "";
    }

    public String getDateTimeFormat(String dateTime){
        if(StringUtils.isNotBlank(dateTime)){
            dateTime = dateTime.substring(0,dateTime.length() - 2);
        }
        return dateTime;
    }
}
